You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

package.json 2.2KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364
  1. {
  2. "name": "dashboard",
  3. "version": "0.0.0",
  4. "scripts": {
  5. "ng": "ng",
  6. "start": "npm run get-submodules && npm run copy-frontends; ng serve --aot=false --optimization=false --proxy-config proxy.conf.json ",
  7. "build": "rm -f src/assets/*.js; ng build --prod --aot=false --optimization=false --build-optimizer=false",
  8. "get-submodules": "git submodule init && git submodule update",
  9. "copy-frontends": "for module in $(git config --file .gitmodules --get-regexp path | awk '{ print $2 }'); do npm i --prefix $module && npm run --prefix $module build && cp $module/dist/FrontendPlugin.js ./src/assets/$(basename $module).js; done",
  10. "update-frontblock": "rm -rf node_modules/frontblock*; npm install",
  11. "test": "ng test",
  12. "lint": "ng lint",
  13. "e2e": "ng e2e"
  14. },
  15. "private": true,
  16. "dependencies": {
  17. "@angular/animations": "~8.2.1",
  18. "@angular/common": "~8.2.1",
  19. "@angular/compiler": "~8.2.1",
  20. "@angular/core": "~8.2.1",
  21. "@angular/forms": "~8.2.1",
  22. "@angular/platform-browser": "~8.2.1",
  23. "@angular/platform-browser-dynamic": "~8.2.1",
  24. "@angular/router": "~8.2.1",
  25. "@clr/angular": "^2.1.1",
  26. "@clr/icons": "^2.1.1",
  27. "@clr/ui": "^2.1.1",
  28. "@webcomponents/custom-elements": "^1.0.0",
  29. "btc-hdkey": "0.0.17",
  30. "coinselect": "^3.1.11",
  31. "frontblock": "latest",
  32. "frontblock-generic": "^0.23.0",
  33. "key-file-storage": "^2.2.4",
  34. "node-fetch": "^2.6.0",
  35. "rxjs": "~6.5.2",
  36. "stream": "0.0.2",
  37. "systemjs": "^0.21.3",
  38. "tslib": "^1.9.0",
  39. "uuid": "^3.3.2",
  40. "zone.js": "~0.10.1"
  41. },
  42. "devDependencies": {
  43. "@angular-devkit/build-angular": "~0.802.1",
  44. "@angular/cli": "^8.2.2",
  45. "@angular/compiler-cli": "~8.2.1",
  46. "@angular/language-service": "~8.2.1",
  47. "@types/jasmine": "~3.4.0",
  48. "@types/jasminewd2": "~2.0.3",
  49. "@types/node": "^12.7.1",
  50. "@types/systemjs": "^0.20.6",
  51. "codelyzer": "^5.0.0",
  52. "jasmine-core": "~3.4.0",
  53. "jasmine-spec-reporter": "~4.2.1",
  54. "karma": "~4.2.0",
  55. "karma-chrome-launcher": "~3.0.0",
  56. "karma-coverage-istanbul-reporter": "~2.1.0",
  57. "karma-jasmine": "~2.0.1",
  58. "karma-jasmine-html-reporter": "^1.4.0",
  59. "protractor": "~5.4.0",
  60. "ts-node": "~8.3.0",
  61. "tslint": "~5.18.0",
  62. "typescript": "~3.5.3"
  63. }
  64. }